# Update Template Links

### PUT /api/pub/members/updateWildCardLink

**Description**: Updates a templated link for a specific user

**Request Body**:

```json
{
    "memberId": 12345,
    "wildcardId": "exampleLinkId",
    "value": "Value to use for the link"
}
```

**Example response**:

```json
{
    "message": "Success",
    "data": {
        "wasAnyCardUpdated": true
    }
}
```

### POST /api/pub/members/bulkUpdateWildCardLink

**Description**: Set the value of a templated link for mulitple members by their account email

**Request Body**:

```
{
    "wildcardId": "exampleLinkId",
    "membersAndValues": [{
        "email": "example@popl.co",
        "value": "abc"
    }, {
        "email": "example2@popl.co",
        "value": "123"
    }]
}
```

**Response Body:**

```
{
    "message": "Success",
    "data": {
        "result": [
            {
                "email": "example@popl.co",
                "updated": true,
                "error": ""
            },
            {
                "email": "example2@popl.co",
                "updated": true,
                "error": ""
            }
        ]
    }
}
```
